import 'package:dynamic_widget/dynamic_widget.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';
import 'package:layout_form_builder/datalayer/constant/eform_parser.dart';
import 'package:layout_form_builder/formcomponent/date_range_picker.dart';
import 'package:layout_form_builder/formcomponent/time_picker.dart';

class TimePickerParser extends WidgetParser {
  @override
  String get widgetName => EFormWidgetParser.TimePicker.value;

  @override
  Widget parse(Map<String, dynamic> map, BuildContext buildContext, ClickListener? listener) {
    return TimePicker(fieldProp: map, listener: listener);
  }

  @override
  Type get widgetType => TimePicker;

  @override
  Map<String, dynamic>? export(Widget? widget, BuildContext? buildContext) {
    return Map<String, dynamic>();
  }
}
